PIP版本virtualenv不匹配,不会升级

好的,我在虚拟环境中运行我的项目包。 我通常通过PyCharmpipe理这些软件包。 PyCharm告诉我,我已经安装了Pip 9.0.1。 只有当我从命令行运行我的虚拟环境,并打印pip版本,它说7.1.0。 如果我尝试使用pip install --upgrade pip升级 – 升级pip install --upgrade pip我得到一个错误

 Collecting pip Using cached pip-9.0.1-py2.py3-none-any.whl Installing collected packages: pip Found existing installation: pip 7.1.0 Uninstalling pip-7.1.0: Successfully uninstalled pip-7.1.0 Rolling back uninstall of pip Exception: Traceback (most recent call last): File "c:\python-virtualenv\arcus\lib\site-packages\pip-7.1.0-py3.5.egg\pip\basecommand.py", line 223, in main status = self.run(options, args) File "c:\python-virtualenv\arcus\lib\site-packages\pip-7.1.0-py3.5.egg\pip\commands\install.py", line 299, in run root=options.root_path, File "c:\python-virtualenv\arcus\lib\site-packages\pip-7.1.0-py3.5.egg\pip\req\req_set.py", line 646, in install **kwargs File "c:\python-virtualenv\arcus\lib\site-packages\pip-7.1.0-py3.5.egg\pip\req\req_install.py", line 813, in install self.move_wheel_files(self.source_dir, root=root) File "c:\python-virtualenv\arcus\lib\site-packages\pip-7.1.0-py3.5.egg\pip\req\req_install.py", line 1008, in move_wheel_files isolated=self.isolated, File "c:\python-virtualenv\arcus\lib\site-packages\pip-7.1.0-py3.5.egg\pip\wheel.py", line 449, in move_wheel_files generated.extend(maker.make(spec)) File "c:\python-virtualenv\arcus\lib\site-packages\pip-7.1.0-py3.5.egg\pip\_vendor\distlib\scripts.py", line 323, in make self._make_script(entry, filenames, options=options) File "c:\python-virtualenv\arcus\lib\site-packages\pip-7.1.0-py3.5.egg\pip\_vendor\distlib\scripts.py", line 227, in _make_script self._write_script(scriptnames, shebang, script, filenames, ext) File "c:\python-virtualenv\arcus\lib\site-packages\pip-7.1.0-py3.5.egg\pip\_vendor\distlib\scripts.py", line 163, in _write_script launcher = self._get_launcher('t') File "c:\python-virtualenv\arcus\lib\site-packages\pip-7.1.0-py3.5.egg\pip\_vendor\distlib\scripts.py", line 302, in _get_launcher result = finder(distlib_package).find(name).bytes AttributeError: 'NoneType' object has no attribute 'bytes' 

虽然我的系统pip版本是9.0.1。 我只是不知道发生了什么。 希望有人可以点亮一下。 我试过卸载并重新安装它,我已经尝试使用轮安装,不起作用

Windows,顺便说一句。

Solutions Collecting From Web of "PIP版本virtualenv不匹配,不会升级"